Index: apps/app_stack.c
===================================================================
--- apps/app_stack.c    (revision 89249)
+++ apps/app_stack.c    (working copy)
@@ -59,7 +59,7 @@
 "Gosub([[context|]exten|]priority)\n"
 "  Jumps to the label specified, saving the return address.\n";
 static const char *gosubif_descrip =
-"GosubIf(condition?labeliftrue[:labeliffalse])\n"
+"GosubIf(condition?[[context|]exten|]priority][:[context|]exten|]priority])\n"
 "  If the condition is true, then jump to labeliftrue.  If false, jumps to\n"
 "labeliffalse, if specified.  In either case, a jump saves the return point\n"
 "in the dialplan, to be returned to with a Return.\n";
Index: main/pbx.c
===================================================================
--- main/pbx.c  (revision 89249)
+++ main/pbx.c  (working copy)
@@ -306,7 +306,7 @@

        { "Goto", pbx_builtin_goto,
        "Jump to a particular priority, extension, or context",
-       "  Goto([[context|]extension|]priority): This application will set the current\n"
+       "  Goto([[context|]exten|]priority): This application will set the current\n"
        "context, extension, and priority in the channel structure. After it completes, the\n"
        "pbx engine will continue dialplan execution at the specified location.\n"
        "If no specific extension, or extension and context, are specified, then this\n"
@@ -325,7 +325,7 @@

        { "GotoIf", pbx_builtin_gotoif,
        "Conditional goto",
-       "  GotoIf(condition?[labeliftrue]:[labeliffalse]): This application will set the current\n"
+       "  GotoIf(condition?[[context|]exten|]priority][:[context|]exten|]priority]): This application will set the current\n"
        "context, extension, and priority in the channel structure based on the evaluation of\n"
        "the given condition. After this application completes, the\n"
        "pbx engine will continue dialplan execution at the specified location in the dialplan.\n"
@@ -3050,7 +3050,7 @@
 "       Describe a particular dialplan function.\n";

 static char show_dialplan_help[] =
-"Usage: dialplan show [exten@][context]\n"
+"Usage: dialplan show [[exten@]context]\n"
 "       Show dialplan\n";

 static char set_global_help[] =
@@ -5493,7 +5493,7 @@
        struct ast_timing timing;

        if (ast_strlen_zero(data)) {
-               ast_log(LOG_WARNING, "GotoIfTime requires an argument:\n  <time range>|<days of week>|<days of month>|<months>?[[context|]extension|]priority\n");
+               ast_log(LOG_WARNING, "GotoIfTime requires an argument:\n  <time range>|<days of week>|<days of month>|<months>?[[context|]exten|]priority\n");
                return -1;
        }

@@ -6314,7 +6314,7 @@
        int mode = 0;

        if (ast_strlen_zero(goto_string)) {
-               ast_log(LOG_WARNING, "Goto requires an argument (optional context|optional extension|priority)\n");
+               ast_log(LOG_WARNING, "Goto requires an argument (optional context|optional exten|priority)\n");
                return -1;
        }
        stringp = ast_strdupa(goto_string);
